Bug Hunting Session
Bug 94908 - [UI] Search filter in Autofilter breaks searching by typing in the list: OK button is blocked
Summary: [UI] Search filter in Autofilter breaks searching by typing in the list: OK b...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: Other All
: medium major
Assignee: Dennis Francis
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-10-09 11:57 UTC by Cor Nouws
Modified: 2016-10-25 19:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with autofilter (9.59 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-10-09 12:02 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-10-09 11:57:58 UTC
I'll attach a spreadsheet with autofilter

1. Open autofilter
2. Unselect [All] with mouse
              (short cut doesn't work any more - see bug 93278)
3. Click in list and type 'a'  to chose Aap.
4. Aap gets selected
 > OK button is locked

Typing 'A' in stead of 'a' sometimes work.
But doing more testing, it looks as if the filter gets more and more confused over time..
Comment 1 Cor Nouws 2015-10-09 12:02:45 UTC
Created attachment 119453 [details]
test file with autofilter
Comment 2 Cor Nouws 2015-10-09 12:05:59 UTC
Hi Deena,

Apologies that I suspect your nice work on the search field is causing some problems here (and in 93278).

From what I remember, Kohei did put quite some effort in making key board navigation and shortcuts work properly.
Now it's impossible to use without clicking..
Comment 3 Dennis Francis 2015-10-09 12:53:51 UTC
Yes I can reproduce this in the build from master branch 4 days ago.

I will make an attempt to fix this and the tdf#93278 asap.

Thanks for reporting.
Comment 4 Cor Nouws 2015-10-09 13:57:43 UTC
(In reply to Dennis Francis (ldcs.co.in) from comment #3)

> Thanks for reporting.

Thanks for looking at those :) !
Comment 5 Dennis Francis 2015-10-15 15:13:45 UTC
I have submitted a patch at https://gerrit.libreoffice.org/#/c/19375
and waiting for review.
Comment 6 Eike Rathke 2015-10-19 12:07:33 UTC
Btw, this is not a regression, the search field didn't exist before.
Comment 7 Commit Notification 2015-10-19 12:09:07 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f34ac236b9ed96f5c9158f1d833afefadbdb9395

tdf#94908 : Autofilter ok button is blocked

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-10-19 12:51:14 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01af5056ca9162abf55f87c374df0bf32437daa2&h=libreoffice-5-0

tdf#94908 : Autofilter ok button is blocked

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Cor Nouws 2015-10-27 13:14:21 UTC
(In reply to Eike Rathke from comment #6)
> Btw, this is not a regression, the search field didn't exist before.

I thought the OK button did ;)
Comment 10 Cor Nouws 2015-10-27 20:31:49 UTC
(In reply to Cor Nouws from comment #9)
> (In reply to Eike Rathke from comment #6)
> > Btw, this is not a regression, the search field didn't exist before.
> 
> I thought the OK button did ;)

But serious @eike:
 searching by typing in the list and the OK button were broken by the introduction of a new nice feature
 why should that be not called a regression ?
Comment 11 Cor Nouws 2015-11-10 12:20:23 UTC
verified in daily from 2015-11-09 - Nice!

one small glitch, @dennis: All and OK and Cancel have A, O and C as accelerators (anyway, they work ;) ) but those are not visible.
Shall I open an issue for that?
Comment 12 Dennis Francis 2015-11-10 12:38:30 UTC
(In reply to Cor Nouws from comment #11)
> verified in daily from 2015-11-09 - Nice!
> 
> one small glitch, @dennis: All and OK and Cancel have A, O and C as
> accelerators (anyway, they work ;) ) but those are not visible.
> Shall I open an issue for that?

Yes please. I will try to fix that too.
Comment 13 Cor Nouws 2015-11-10 12:46:18 UTC
(In reply to Dennis Francis (ldcs.co.in) from comment #12)
> 
> Yes please. I will try to fix that too.

see issue 95729